## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEWebServiceTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PersistentTable, SQLObject, SybaseASEBaseTable, SybaseASEProxyTable, SybaseASETable, SybaseAuthorizedObject, SybaseBaseTable, Table

All Known Implementing Classes:
  SybaseASECatalogWebServiceTable, SybaseASEWebServiceTableImpl

    public interface SybaseASEWebServiceTable

extends SybaseASEProxyTable

A representation of the model object 'Sybase ASE Web Service Table'.

The following features are supported:

- `Method`
- `WSDLURI`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable()`

Method Summary
`java.lang.String` `getMethod()` Returns the value of the 'Method' attribute.
`java.lang.String` `getWSDLURI()` Returns the value of the 'WSDLURI' attribute.
`void` `setMethod(java.lang.String value)` Sets the value of the '`Method`' attribute.
`void` `setWSDLURI(java.lang.String value)` Sets the value of the '`WSDLURI`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASEProxyTable
`getColumnDelimiter, getExternalPath, getExternalType, isExisting, setColumnDelimiter, setExisting, setExternalPath, setExternalType`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASEBaseTable

`getConcurrencyOptThreshold, getExpRowSize, getFillFactor, getIdentityGap, getLockPromotion, getLockSchema, getMaxRowPerPage, getPartitionCondition, getPartitions, getReservePageGap, getSegment, getTableOnlyCacheInfo, getTextImageSegment, getTextOnlyCacheInfo, isSystemTable, setConcurrencyOptThreshold, setExpRowSize, setFillFactor, setIdentityGap, setLockSchema, setMaxRowPerPage, setPartitionCondition, setPartitions, setReservePageGap, setSegment, setSystemTable, setTableOnlyCacheInfo, setTextImageSegment, setTextOnlyCacheInfo`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Method Detail

### getMethod

    java.lang.String getMethod()

  Returns the value of the 'Method' attribute. The default value is `""`.

  If the meaning of the 'Method' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Method' attribute.
  See Also:
    `setMethod(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable_Method()`

### setMethod

    void setMethod(java.lang.String value)

  Sets the value of the '`Method`' attribute.

  Parameters:
    `value` - the new value of the 'Method' attribute.
  See Also:
    `getMethod()`

### getWSDLURI

    java.lang.String getWSDLURI()

  Returns the value of the 'WSDLURI' attribute.

  If the meaning of the 'WSDLURI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'WSDLURI' attribute.
  See Also:
    `setWSDLURI(String)`, `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable_WSDLURI()`

### setWSDLURI

    void setWSDLURI(java.lang.String value)

  Sets the value of the '`WSDLURI`' attribute.

  Parameters:
    `value` - the new value of the 'WSDLURI' attribute.
  See Also:
    `getWSDLURI()`